curl --request POST \
--url https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/transformation/{transformationId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"dockerContainer": "<string>",
"indMetadata": true,
"description": "<string>",
"cliArguments": "<string>",
"requestsCpu": 123,
"requestsMemory": 123,
"limitsCpu": 123,
"limitsMemory": 123,
"additionalMountPoints": [
{
"mountPoint": "<string>",
"bucketId": 123,
"portalId": 123
}
],
"allowExtraCliArguments": true,
"parameters": [
{}
],
"maxRunningTimeStr": "<string>",
"isPublic": true,
"repositoryUrl": "<string>",
"showInDataSources": true,
"showInCreateTransformationJob": true,
"showInSyntheticData": true,
"showInAIActions": true,
"environmentVariables": [
{
"key": "<string>",
"value": "<string>"
}
],
"aiActionsOperatesOn": [],
"sourceCodeDownloadStaffOnly": true
}
'import requests
url = "https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/transformation/{transformationId}"
payload = {
"name": "<string>",
"dockerContainer": "<string>",
"indMetadata": True,
"description": "<string>",
"cliArguments": "<string>",
"requestsCpu": 123,
"requestsMemory": 123,
"limitsCpu": 123,
"limitsMemory": 123,
"additionalMountPoints": [
{
"mountPoint": "<string>",
"bucketId": 123,
"portalId": 123
}
],
"allowExtraCliArguments": True,
"parameters": [{}],
"maxRunningTimeStr": "<string>",
"isPublic": True,
"repositoryUrl": "<string>",
"showInDataSources": True,
"showInCreateTransformationJob": True,
"showInSyntheticData": True,
"showInAIActions": True,
"environmentVariables": [
{
"key": "<string>",
"value": "<string>"
}
],
"aiActionsOperatesOn": [],
"sourceCodeDownloadStaffOnly": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
dockerContainer: '<string>',
indMetadata: true,
description: '<string>',
cliArguments: '<string>',
requestsCpu: 123,
requestsMemory: 123,
limitsCpu: 123,
limitsMemory: 123,
additionalMountPoints: [{mountPoint: '<string>', bucketId: 123, portalId: 123}],
allowExtraCliArguments: true,
parameters: [{}],
maxRunningTimeStr: '<string>',
isPublic: true,
repositoryUrl: '<string>',
showInDataSources: true,
showInCreateTransformationJob: true,
showInSyntheticData: true,
showInAIActions: true,
environmentVariables: [{key: '<string>', value: '<string>'}],
aiActionsOperatesOn: [],
sourceCodeDownloadStaffOnly: true
})
};
fetch('https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/transformation/{transformationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"error": "<string>"
}Update transformation block
Updates a transformation block. Only values in the body will be updated.
Authorizations
Path Parameters
Organization ID
Transformation block ID.
Body
Whether to pass the --metadata parameter to the container.
Show child attributes
Show child attributes
file, directory, standalone List of parameters, spec'ed according to https://docs.edgeimpulse.com/docs/tips-and-tricks/adding-parameters-to-custom-blocks
15m for 15 minutes, 2h for 2 hours, 1d for 1 day. If not set, the default is 8 hours.
For public blocks, this indicates the project tiers for which this block is available.
enterprise-only, all-projects, all-projects-including-whitelabels URL to the source code of this custom learn block.
Whether to show this block in 'Data sources'. Only applies for standalone blocks.
Whether to show this block in 'Create transformation job'. Only applies for standalone blocks.
Whether to show this block in 'Synthetic data'. Only applies for standalone blocks.
Whether to show this block in 'AI Labeling'. Only applies for standalone blocks.
Show child attributes
Show child attributes
For AI labeling blocks, this lists the data types that the block supports. If this field is empty then there's no information about supported data types.
images_object_detection, images_single_label, audio, other Whether the source code is only available for staff users.
Was this page helpful?